=== debian/changelog ===
ros-noetic-camera-aravis (4.0.4-1buster) buster; urgency=high

  * Update package maintainer
  * Refactor node params (#21 <https://github.com/FraunhoferIOSB/camera_aravis/issues/21>)
    * Refactor node params
    * Rename extended_camera_info_ -> pub_ext_camera_info_
    * Move stream parameters to the top of onInit()
  * fix: only reset PTP clock when in "Faulty" or "Disabled" state (#23 <https://github.com/FraunhoferIOSB/camera_aravis/issues/23>)
  * Update industrial_ci default branch to main
  * Contributors: Dominik Kleiser, Peter Mortimer, Ruf, Boitumelo

 -- Boitumelo Ruf, Fraunhofer IOSB <boitumelo.ruf@iosb.fraunhofer.de>  Thu, 22 Dec 2022 23:00:00 -0000

ros-noetic-camera-aravis (4.0.3-1buster) buster; urgency=high

  * Refactor image conversion (#20 <https://github.com/FraunhoferIOSB/camera_aravis/issues/20>)
  * Use plain file names for includes (#17 <https://github.com/FraunhoferIOSB/camera_aravis/issues/17>)
  * Add verbose flag for feature detection (default = false) (#19 <https://github.com/FraunhoferIOSB/camera_aravis/issues/19>)
  * Assume num_streams_ = 1 if DeviceStreamChannelCount and GevStreamChannelCount unavailable (#18 <https://github.com/FraunhoferIOSB/camera_aravis/issues/18>)
  * Add Line0 to Line5 to TriggerSource Enum
  * Fix: nodelet namespace
  * Fix: onInit deadlock
  * Contributors: Dominik Kleiser, Boitumelo Ruf, Thomas Emter, Peter Mortimer, tas, Geoff McIver

 -- Dominik Kleiser, Fraunhofer IOSB <dominik.kleiser@iosb.fraunhofer.de>  Thu, 07 Jul 2022 22:00:00 -0000

ros-noetic-camera-aravis (4.0.2-1buster) buster; urgency=high

  * Add optional ExtendedCameraInfo message to publish additional camera acquisition parameters
  * Fix: Set reasonable height and width when not given in the CameraInfo
  * Contributors: Peter Mortimer

 -- Dominik Kleiser, Fraunhofer IOSB <dominik.kleiser@iosb.fraunhofer.de>  Tue, 03 May 2022 22:00:00 -0000

ros-noetic-camera-aravis (4.0.1-1buster) buster; urgency=high

  * Add ROS getter/setter services for camera features
  * Add support for multistream encoding conversion
  * Fix: Pass on the correct encoding for the additional streams of multisource cameras
  * Fix: Continuously check the spawning_ flag
  * Fix: Check spawning_ flag only once during spawnStream
  * Contributors: Peter Mortimer, Thomas Emter, Dominik Kleiser

 -- Dominik Kleiser, Fraunhofer IOSB <dominik.kleiser@iosb.fraunhofer.de>  Thu, 24 Mar 2022 23:00:00 -0000

ros-noetic-camera-aravis (4.0.0-1buster) buster; urgency=high

  * Major refactoring
  * Add support for ROS Noetic and aravis-0.6
  * Fix several bugs (see git history)
  * Add new features:
    
      * Support for multisource cameras
      * Zero-copy transport with ROS nodelets
      * Camera time synchronization
      * Example launch files
    
  * Update package author and maintainer
  * Contributors: Dominik Klein, Floris van Breugel, Gaël Écorchard, Thomas Emter, Peter Mortimer, Dominik Kleiser

 -- Dominik Kleiser, Fraunhofer IOSB <dominik.kleiser@iosb.fraunhofer.de>  Tue, 26 Oct 2021 22:00:00 -0000
